function I = edge33(fn)

I1 = imread(fn);

I1 = double(I1);

t = [-1 0 1; -2 0 2; -1 0 1];
s = [-1 -2 -1; 0 0 0; 1 2 1];

I2 = filter2(t, I1);
I3 = filter2(s, I1);

I = sqrt(I2.^2+I3.^2);

I = I/max(max(I))*256;

I = uint8(I);

figure; imshow(I);